PKG-INFO(8)

NAME
pkg info - displays information for packages

SYNOPSIS
pkg info pkg-name
pkg info -a
pkg info [-AbBDdefgiIklOqRrsx] pkg-name
pkg info [-AbBDdfIlqRrs] -F pkg-file

DESCRIPTION
pkg info is used for displaying information for packages.

OPTIONS
The following options are supported by pkg info:

-a  Display all installed packages.

-A  Display any annotations added to the package.

-f  Display full information about the packages matching pkg-name.

-R  Display the full yaml (raw) about the packages matching pkg-name.

-e  If pkg-name is installed and registered in the database, return 0, otherwise return 1. Useful for checking whether the package is installed.

-D  Show the pkg-message for matching packages.

-g  Treat pkg-name as a shell glob pattern.

-i  Make the default or the regular expression (-x) pkg-name matching case insensitive.

-x  Treat pkg-name as a regular expression according to the "modern" or "extended" syntax of re_format(7).

-d  Display the list of packages required by pkg-name.

-r  Display the list of packages which depend on pkg-name.

-k  Show the locking status for pkg-name. When used in combination with -d or -r, indicate which packages, dependencies or requirements are locked by '(*)'. Locking status is only meaningful for installed packages; all locking statuses will show as unlocked when information about a pkg-file is queried.

-l  Display all files installed by pkg-name.

-b  Display all shared libraries provided by pkg-name.

-B  Display all shared libraries used by pkg-name.

-s  Display the total size of files installed by pkg-name

-q  Be “quiet”. Prints only the requested information without displaying many hints.

-O  Search is done by the pkg-name origin. Added only for Ports compatibility.

-E  Currently not implemented. Added only for Ports compatibility.

-o  Display pkg-name origin.

-p  Display the installation prefix for each package matching pkg-name.

-F pkg-file
    Displays information from the package archive pkg-file.

ENVIRONMENT
The following environment variables affect the execution of pkg info. See pkg.conf(5) for further description.

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)